#
# This files contains definitions needed to use CGAL in a program.
# DO NOT EDIT THIS. The definitons have been generated by CMake at configuration time.
# This file is loaded by cmake via the command "find_package(CGAL)"
#
# This file correspond to a CGAL installation with "make install", thus the actual location
# must be given by the cmake variable or enviroment variable CGAL_DIR. 

set(CGAL_CONFIG_LOADED TRUE)

set(CGAL_SOURCE_DIRECTORY "/work/a/ports/math/cgal/work/CGAL-3.4" )

# CGAL_DIR is the directory where this CGALConfig.cmake is installed
set(CGAL_INSTALL_PREFIX "/usr/local")

set(CGAL_MAJOR_VERSION "3" )
set(CGAL_MINOR_VERSION "4" )
set(CGAL_BUILD_VERSION "" )

set(CGAL_SHARED_LIBS "ON" )

set(CGAL_CXX_FLAGS_INIT                   "-O2 -pipe -fno-strict-aliasing -frounding-math" )
set(CGAL_CXX_FLAGS_RELEASE_INIT           "-O3 -DNDEBUG" )
set(CGAL_CXX_FLAGS_DEBUG_INIT             "-g" )
set(CGAL_MODULE_LINKER_FLAGS_INIT         "-L/usr/local/lib" )
set(CGAL_MODULE_LINKER_FLAGS_RELEASE_INIT "" )
set(CGAL_MODULE_LINKER_FLAGS_DEBUG_INIT   "" )
set(CGAL_SHARED_LINKER_FLAGS_INIT         "-L/usr/local/lib" )
set(CGAL_SHARED_LINKER_FLAGS_RELEASE_INIT "" )
set(CGAL_SHARED_LINKER_FLAGS_DEBUG_INIT   "" )
set(CGAL_BUILD_TYPE_INIT                  "Release" )

set(CGAL_INCLUDE_DIRS      "/usr/local/include" )
set(CGAL_CMAKE_MODULE_PATH "/usr/local/lib/CGAL" )
set(CGAL_LIBRARIES_DIR     "/usr/local/lib" )

set(WITH_CGAL         "ON")
set(WITH_CGAL_Core    "ON")
set(WITH_CGAL_ImageIO "ON")
set(WITH_CGAL_PDB     "ON" )
set(WITH_CGAL_Qt3     "ON" )
set(WITH_CGAL_Qt4     "ON" )

set(CGAL_LIBRARY         "/usr/local/lib/libCGAL.so")
set(CGAL_Core_LIBRARY    "/usr/local/lib/libCGAL_Core.so")
set(CGAL_ImageIO_LIBRARY "/usr/local/lib/libCGAL_ImageIO.so")
set(CGAL_PDB_LIBRARY     "/usr/local/lib/libCGAL_PDB.so" )
set(CGAL_Qt3_LIBRARY     "/usr/local/lib/" )
set(CGAL_Qt4_LIBRARY     "/usr/local/lib/libCGAL_Qt4.so" )

set(CGAL_3RD_PARTY_INCLUDE_DIRS   "/usr/local/include;/usr/local/include;/usr/local/include;/usr/local/include" )
set(CGAL_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_3RD_PARTY_LIBRARIES_DIRS "/usr/local/lib;/usr/local/lib;/usr/local/lib" )
set(CGAL_3RD_PARTY_LIBRARIES      "/usr/local/lib/libgmpxx.so;/usr/local/lib/libmpfr.so;/usr/local/lib/libgmp.so;/usr/local/lib/libboost_thread.so" )

set(CGAL_Core_3RD_PARTY_INCLUDE_DIRS   "" )
set(CGAL_Core_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_Core_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_Core_3RD_PARTY_LIBRARIES      "" )

set(CGAL_ImageIO_3RD_PARTY_INCLUDE_DIRS   "/usr/local/include;/usr/include" )
set(CGAL_ImageIO_3RD_PARTY_DEFINITIONS    "-DCGAL_USE_ZLIB" )
set(CGAL_ImageIO_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_ImageIO_3RD_PARTY_LIBRARIES      "/usr/local/lib/libGLU.so;/usr/local/lib/libGL.so;/usr/local/lib/libSM.so;/usr/local/lib/libICE.so;/usr/local/lib/libX11.so;/usr/local/lib/libXext.so;/usr/lib/libz.so" )

set(CGAL_PDB_3RD_PARTY_INCLUDE_DIRS   "" )
set(CGAL_PDB_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_PDB_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_PDB_3RD_PARTY_LIBRARIES      "" )

set(CGAL_Qt3_3RD_PARTY_INCLUDE_DIRS   "" )
set(CGAL_Qt3_3RD_PARTY_DEFINITIONS    "" )
set(CGAL_Qt3_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_Qt3_3RD_PARTY_LIBRARIES      "" )

set(CGAL_Qt4_3RD_PARTY_INCLUDE_DIRS   "/usr/local/include/qt4;/usr/local/include" )
set(CGAL_Qt4_3RD_PARTY_DEFINITIONS    "-DQT_DLL" )
set(CGAL_Qt4_3RD_PARTY_LIBRARIES_DIRS "" )
set(CGAL_Qt4_3RD_PARTY_LIBRARIES      "optimized;/usr/local/lib/qt4/libQtOpenGL.so;debug;/usr/local/lib/qt4/libQtOpenGL.so;optimized;/usr/local/lib/qt4/libQtGui.so;debug;/usr/local/lib/qt4/libQtGui.so;optimized;/usr/local/lib/qt4/libQtCore.so;debug;/usr/local/lib/qt4/libQtCore.so;/usr/local/lib/libGLU.so;/usr/local/lib/libGL.so;/usr/local/lib/libSM.so;/usr/local/lib/libICE.so;/usr/local/lib/libX11.so;/usr/local/lib/libXext.so" )

set(CGAL_VERSION "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUILD_VERSION}")

set(CGAL_USE_FILE "${CGAL_CMAKE_MODULE_PATH}/UseCGAL.cmake" )

if ( CGAL_FIND_REQUIRED )
  set( CHECK_CGAL_COMPONENT_MSG_ON_ERROR TRUE        )
  set( CHECK_CGAL_COMPONENT_ERROR_TYPE   FATAL_ERROR )
  set( CHECK_CGAL_COMPONENT_ERROR_TITLE  "ERROR:"    )
else()
  if ( NOT CGAL_FIND_QUIETLY )
    set( CHECK_CGAL_COMPONENT_MSG_ON_ERROR TRUE      )
    set( CHECK_CGAL_COMPONENT_ERROR_TYPE   STATUS    )
    set( CHECK_CGAL_COMPONENT_ERROR_TITLE "NOTICE:" )
  else()  
    set( CHECK_CGAL_COMPONENT_MSG_ON_ERROR FALSE )
  endif()
endif()

macro(check_cgal_component COMPONENT)

  set( CGAL_LIB CGAL${COMPONENT} )
  
  if ( WITH_${CGAL_LIB} )
    set( ${CGAL_LIB}_FOUND TRUE )
  else()
    set( ${CGAL_LIB}_FOUND FALSE )
  endif()
  
  if ( "${COMPONENT}" STREQUAL "" )
    set( CHECK_${CGAL_LIB}_ERROR_TAIL "" )
  else()
    set( CHECK_${CGAL_LIB}_ERROR_TAIL " Please configure CGAL using WITH_${CGAL_LIB}=ON." )
  endif()   
  
  if ( NOT ${CGAL_LIB}_FOUND AND CHECK_CGAL_COMPONENT_MSG_ON_ERROR )
    message( ${CHECK_CGAL_COMPONENT_ERROR_TYPE} "${CHECK_CGAL_COMPONENT_ERROR_TITLE} The ${CGAL_LIB} library was not configured.${CHECK_${CGAL_LIB}_ERROR_TAIL}" )
  endif()
  
endmacro()

check_cgal_component("")

foreach( CGAL_COMPONENT ${CGAL_FIND_COMPONENTS} )
  check_cgal_component("_${CGAL_COMPONENT}")
endforeach()

